<div class="public-horizon-form">
    <div class="public-horizon">
        <label class="horizon-label label-4"><span class="text-red">*</span>设备类型：</label>
        <div class="horizon-group horizon-col-1">
            <div class="nbox-group-input andon-input-wrapper"
                 ng-class="{'focus':(focusInput)}">
                <input ng-init="focusInput=false"
                       ng-focus="focusInput=true"
                       ng-change="searchChange()"
                       ng-blur="focusInput=false"
                       type="text" value="" placeholder="请输入设备类型关键字"
                       class="form-control ad-left-child"
                       ng-model="config.searchInfo"
                       ng-class="{'work-placeholder': config.isNoValue}"  ng-keyup="upModel()">
                <i class="fa fa-search ad-right-child focus"
                   ng-click="searchDeviceType()"></i>
            </div>
        </div>
        <div class="horizon-btns horizon-checkbox">
            <div class="radio radio-primary radio-inline">
                <input type="radio" id="inlineRadio1" name="identity" ng-click="changeHistory()" ng-checked=true>
                <label for="inlineRadio1"> 查询历史变更 </label>
            </div>
        </div>
        <div class="horizon-btns horizon-checkbox">
            <div class="radio radio-primary radio-inline">
                <input type="radio" id="inlineRadio2" name="identity" ng-click="statusHistory()">
                <label for="inlineRadio2" > 查询历史状态 </label>
            </div>
        </div>

        <label class="horizon-label label-6" ng-if="config.changeHistory">
            <span class="text-red">*</span>生效日期大于：</label>
        <div class="horizon-group horizon-col-1" ng-if="config.changeHistory">
            <input type="text" value="" id="bigDate"
                   class="form-control"
                   ng-model="config.bigDate" ng-change="searchChange()"
                   ng-init="initDateTimePicker('#bigDate', {},'Y-m-d',false,false);"/>
        </div>

        <label class="horizon-label label-2" ng-if="config.statusHistory">
            <span class="text-red">*</span>日期：</label>
        <div class="horizon-group horizon-col-1" ng-if="config.statusHistory">

            <input type="text" value="" id="historyDate"
                   class="form-control"
                   ng-model="config.date" ng-change="searchChange()"
                   ng-init="initDateTimePicker('#historyDate', {},'Y-m-d',false,false);"/>
        </div>
        <div class="horizon-btns">
            <button class="btn btn-primary" ng-disabled="config.queryBtn" ng-click="queryDatas()">查询</button>

        </div>
        <div class="horizon-btns">
            <button class="btn btn-primary" ng-disabled="config.deleteBtn" ng-click="deleteHistoryDatas()"
                    ng-if="config.editRW" >删除</button>
        </div>
        <div class="horizon-btns horizon-save-btns">
            <button class="btn btn-primary" ng-disabled="config.deleteBtn" ng-click="keepDelete()" >保存</button>
        </div>
    </div>

</div>

<div class="andon-grid">
    <div ui-grid="gridHistoryDatas"
         ui-grid-edit ui-grid-cellnav ui-grid-selection
         ui-grid-pagination ui-grid-validate ui-grid-auto-resize ui-grid-resize-columns
         class="myMiddleGrid" ></div></div>


